'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = ProtectedRoute;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactRouter = require('react-router');

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _ProtectedPage = require('../pages/ProtectedPage');

var _ProtectedPage2 = _interopRequireDefault(_ProtectedPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

const propTypes = {
  component: _propTypes2.default.func,
  decorated: _propTypes2.default.bool,
  openModalName: _propTypes2.default.string,
  perms: _propTypes2.default.instanceOf(_immutable2.default.Map),
  screenName: _propTypes2.default.string,
  username: _propTypes2.default.string,
  closeModal: _propTypes2.default.func,
  redirectLogin: _propTypes2.default.func,
  resetLogin: _propTypes2.default.func
};

function ProtectedRoute(props) {
  const Component = props.component,
        decorated = props.decorated,
        openModalName = props.openModalName,
        perms = props.perms,
        screenName = props.screenName,
        username = props.username,
        closeModal = props.closeModal,
        resetLogin = props.resetLogin,
        remainingProps = _objectWithoutProperties(props, ['component', 'decorated', 'openModalName', 'perms', 'screenName', 'username', 'closeModal', 'resetLogin']);

  return _react2.default.createElement(_reactRouter.Route, _extends({}, remainingProps, {
    render: routeProps => username ? _react2.default.createElement(
      _ProtectedPage2.default,
      _extends({
        openModalName: openModalName,
        perms: perms,
        screenName: screenName,
        username: username,
        decorated: decorated,
        closeModal: closeModal,
        resetLogin: resetLogin
      }, routeProps),
      _react2.default.createElement(Component, routeProps)
    ) : _react2.default.createElement(_reactRouter.Redirect, {
      to: {
        pathname: '/login',
        state: {
          continuation: routeProps.location
        }
      }
    })
  }));
}

ProtectedRoute.propTypes = propTypes;