'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = withBooleanValue;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * An enhancer that accepts a value prop, converts it to a boolean, and passes the boolean on to
 * the base component. The value 'true' is converted to true, and the value 'false' is converted
 * to false. Boolean values are passed directly to the base component.
 */
function withBooleanValue(BaseComponent) {
  function WithBooleanValue(props) {
    const value = props.value,
          remainingProps = _objectWithoutProperties(props, ['value']);

    let booleanValue;

    if (value === 'true') {
      booleanValue = true;
    } else if (value === 'false') {
      booleanValue = false;
    } else {
      booleanValue = value;
    }

    return _react2.default.createElement(BaseComponent, _extends({
      value: booleanValue
    }, remainingProps));
  }

  WithBooleanValue.propTypes = Object.assign({}, BaseComponent.propTypes, {
    value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.bool])
  });

  return WithBooleanValue;
}