'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$search = configContext.searchOperators;
  const OP_EQ = _configContext$search.OP_EQ,
        OP_CONTAIN = _configContext$search.OP_CONTAIN,
        OP_RANGE = _configContext$search.OP_RANGE;
  var _configContext$config = configContext.config;
  const defaultAdvancedSearchBooleanOp = _configContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _configContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:acquisitions_common/acquisitionReferenceNumber'
    }, {
      op: OP_RANGE,
      path: 'ns2:acquisitions_common/accessionDateGroup'
    }, {
      op: OP_RANGE,
      path: 'ns2:acquisitions_common/acquisitionDateGroupList/acquisitionDateGroup'
    }, {
      op: OP_EQ,
      path: 'ns2:acquisitions_common/acquisitionMethod'
    }, {
      op: OP_EQ,
      path: 'ns2:acquisitions_common/acquisitionSources/acquisitionSource'
    }, {
      op: OP_EQ,
      path: 'ns2:acquisitions_common/acquisitionFundingList/acquisitionFunding/acquisitionFundingSource'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:acquisitions_common/creditLine'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:acquisitions_common/fieldCollectionEventNames/fieldCollectionEventName'
    }, ...extensions.core.advancedSearch]
  };
};