'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$format = configContext.formatHelpers;
  const formatRefName = _configContext$format.formatRefName,
        formatTimestamp = _configContext$format.formatTimestamp;


  return {
    default: {
      title: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.group.default.title',
            'defaultMessage': 'Title'
          }
        }),
        order: 10,
        sortBy: 'groups_common:title',
        width: 250
      },
      owner: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.group.default.owner',
            'defaultMessage': 'Owner'
          }
        }),
        formatValue: formatRefName,
        order: 20,
        sortBy: 'groups_common:owner',
        width: 400
      },
      updatedAt: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.group.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        formatValue: formatTimestamp,
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};