'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$format = configContext.formatHelpers;
  const formatRefName = _configContext$format.formatRefName,
        formatTimestamp = _configContext$format.formatTimestamp;


  return {
    default: {
      loanInNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.loanin.default.loanInNumber',
            'defaultMessage': 'Loan in number'
          }
        }),
        order: 10,
        sortBy: 'loansin_common:loanInNumber',
        width: 250
      },
      lender: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.loanin.default.lender',
            'defaultMessage': 'Lender'
          }
        }),
        order: 20,
        sortBy: 'loansin_common:lenderGroupList/0/lender',
        width: 400
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.loanin.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};