'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$search = configContext.searchOperators;
  const OP_EQ = _configContext$search.OP_EQ,
        OP_CONTAIN = _configContext$search.OP_CONTAIN,
        OP_RANGE = _configContext$search.OP_RANGE;
  var _configContext$config = configContext.config;
  const defaultAdvancedSearchBooleanOp = _configContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _configContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:objectexit_common/exitNumber'
    }, {
      op: OP_RANGE,
      path: 'ns2:objectexit_common/exitDateGroup'
    }, {
      op: OP_EQ,
      path: 'ns2:objectexit_common/exitReason'
    }, {
      op: OP_EQ,
      path: 'ns2:objectexit_common/exitMethods/exitMethod'
    }, {
      op: OP_EQ,
      path: 'ns2:objectexit_common/currentOwner'
    }, {
      op: OP_EQ,
      path: 'ns2:objectexit_common/depositor'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:objectexit_common/exitNote'
    }, ...extensions.core.advancedSearch]
  };
};